Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve action, intent, or step status for tracking execution progress
GET
/actions/:actionId
/actions/:actionId/intents/:intentIndex
/actions/:actionId/intents/:intentIndex/steps/:stepIndex
actionId
string
act_abc123...
{ "id": "act_abc123...", "user": "0x742d35Cc6634C0532925a3b844e4B7db0D6d8E5c", "status": "created", "intents": [ { "id": "act_abc123.../0", "mode": "7702", "status": "created", "executionIndex": 0, "chainAuthorizations": [ { "index": 0, "chainId": "84532", "status": "created", "mode": "7702" } ] } ] }
intentIndex
number
{ "id": "act_abc123.../0", "actionId": "act_abc123...", "mode": "7702", "status": "created", "executionIndex": 0, "signatureType": "eip712", "signature": "0x...", "nbf": "0", "exp": "1999999999", "chainAuthorizations": [ { "index": 0, "chainId": "84532", "status": "success", "txid": "0x...", "hash": "0x..." } ] }
stepIndex
{ "intentId": "act_abc123.../0", "index": 0, "chainId": "84532", "mode": "7702", "status": "success", "hash": "0x...", "txid": "0xTransactionHash...", "txSentAt": "2024-01-15T10:30:00.000Z", "txConfirmedAt": "2024-01-15T10:30:15.000Z" }
created
registered
executing
success
reverted
error
{ "error": "invalid params", "issues": { /* Validation errors */ } }
{ "error": "could not find action", "actionId": "act_invalid..." }
{ "error": "could not find intent", "actionId": "act_abc123...", "intentIndex": 5 }
{ "error": "could not find step", "actionId": "act_abc123...", "intentIndex": 0, "stepIndex": 10 }